Package Details: nwjs-ffmpeg-codecs-bin 0.41.3-1

Git Clone URL: https://aur.archlinux.org/nwjs-ffmpeg-codecs-bin.git (read-only)
Package Base: nwjs-ffmpeg-codecs-bin
Description: Additional proprietary codecs for nw.js from ffmpeg
Upstream URL: https://github.com/iteufel/nwjs-ffmpeg-prebuilt
Licenses: LGPL2.1
Submitter: Jake
Maintainer: Jake
Last Packager: Jake
Votes: 3
Popularity: 0.055843
First Submitted: 2018-07-06 22:16
Last Updated: 2019-10-18 09:29

Latest Comments

1 2 Next › Last »

Jake commented on 2019-05-17 16:22

It is just a environment variable, it should contain the library path, as usual in in one line:

env LD_PRELOAD=/opt/nwjs/libffmpeg.so nw /path/to/your/app

kronikpillow commented on 2019-05-15 13:28

Ok so I am confused, how do i actually set LD_PRELOAD to prefer this version??

jshaker000 commented on 2019-04-26 19:35

Thanks, this works for me. I added the LD_PRELOAD to my script

Jake commented on 2019-04-25 21:25

Yes jshaker000, you are absolutely right, it uses per default lib/libffmpeg.so and i was already aware of that when i created this package. The problem is that if i change it here to install also into lib, pacman will detect the conflicting file from the nwjs-bin package and abort...

That is why i choose the different location. Then you can set LD_PRELOAD to prefer this version. I made the package initially for the Betaflight blackbox-explorer and you can see it in the start script there: https://aur.archlinux.org/cgit/aur.git/tree/blackbox-explorer.sh?h=blackbox-explorer

I admit that this is missing documentation, people trying to use it independently can not know this. So i added post install message now. Thanks for the detailed report!

jshaker000 commented on 2019-04-25 19:29

Hi, I found a bug where installing this package doesn't actually update the path in nwjs, and nwjs won't actually find the codecs.

I installed nwjs-bin on April 18 and nwjs-ffmpeg-codecs-bin on April 24.

nwjw-bin created the file /opt/nwjs/libffmpeg.so But the file /opt/nwjw/lib/libffmpeg.so remained unchanged, and that was from the original installer.

I believe nw only looks in the latter directory. Copying /opt/nwjs/libffmpeg.so to /opt/nwjw/lib/libffmpeg.so works and gets rid of the codec missing errors. Of course, more work would be needed to be done to restore the old codecs if this package is uninstalled but nwjs is not.

Here are some outputs from my system: https://pastebin.com/StEjEAag

es20490446e commented on 2019-03-19 12:41

You are welcome ;)

Jake commented on 2019-03-19 10:56

Yes, that is true, i have set the dependency with the update. Thanks!

es20490446e commented on 2019-03-14 23:49

If you try to install without including any other nwjs package, it fails with:

cannot change permissions of ‘/opt/nwjs’: No such file or directory

So likely this package needs to depend on "nwjs-bin". It can also fail when installing both simultaneously.

es20490446e commented on 2019-03-14 19:42

True, it's due to vapoursynth: https://bugs.archlinux.org/task/62013

Jake commented on 2019-03-14 19:32

@es20490446e This package has no dependencies... Must be something else.